<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 7.3.2 (Python 3.12.3 on linux)" generated="2025-11-20T15:26:12.283978" rpa="false" schemaversion="5">
<suite id="s1" name="End-To-End" source="/home/ersyl/development/robot-scripts/end-to-end">
<suite id="s1-s1" name="Tests" source="/home/ersyl/development/robot-scripts/end-to-end/Tests">
<suite id="s1-s1-s1" name="BackOffice" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/BackOffice">
<suite id="s1-s1-s1-s1" name="Back Office" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/BackOffice/Back_Office.robot">
<test id="s1-s1-s1-s1-t1" name="Should be able to access Home page" line="12">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:12.654612" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<arg>options=${CHROME OPTIONS}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:12.654273" elapsed="0.292528"/>
</kw>
<kw name="Set Selenium Speed" owner="SeleniumLibrary">
<arg>0.3s</arg>
<doc>Sets the delay that is waited after each Selenium command.</doc>
<status status="PASS" start="2025-11-20T15:26:12.947290" elapsed="0.000645"/>
</kw>
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>7s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:26:12.948274" elapsed="0.302311"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:12.653621" elapsed="0.597129"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="BackOfficeApp">
<kw name="Home Page" owner="BackOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:13.251548" level="INFO">Opening url 'https://automationplayground.com/back-office/'</msg>
<arg>${BACK_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:13.251412" elapsed="0.859120"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:13.251217" elapsed="0.859529"/>
</kw>
<kw name="Verify Page" owner="BackOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${BACK_OFFICE_HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:26:14.111292" elapsed="0.530308"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:14.110956" elapsed="0.530806"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:13.250935" elapsed="1.390917"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:26:16.642374" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:26:14.641969" elapsed="2.000565"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:26:16.643049" elapsed="0.372198"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:16.642797" elapsed="0.372604"/>
</kw>
<doc>Home Page</doc>
<tag>Home</tag>
<status status="PASS" start="2025-11-20T15:26:12.611299" elapsed="4.404182"/>
</test>
<doc>Test the Studio Web Page</doc>
<status status="PASS" start="2025-11-20T15:26:12.480261" elapsed="4.577255"/>
</suite>
<status status="PASS" start="2025-11-20T15:26:12.437249" elapsed="4.662513"/>
</suite>
<suite id="s1-s1-s2" name="EndToEnd" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/EndToEnd">
<suite id="s1-s1-s2-s1" name="End to End" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/EndToEnd/End_to_End.robot">
<test id="s1-s1-s2-s1-t1" name="Should be able to access both sites" line="13">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:17.275041" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<arg>options=${CHROME OPTIONS}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:17.274781" elapsed="0.557957"/>
</kw>
<kw name="Set Selenium Speed" owner="SeleniumLibrary">
<arg>0.3s</arg>
<doc>Sets the delay that is waited after each Selenium command.</doc>
<status status="PASS" start="2025-11-20T15:26:17.832982" elapsed="0.000261"/>
</kw>
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>7s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:26:17.833351" elapsed="0.301369"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:17.274453" elapsed="0.860464"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:18.135787" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:18.135628" elapsed="3.171126"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:18.135411" elapsed="3.171526"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:26:21.307421" elapsed="0.309557"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:21.307125" elapsed="0.310018"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:18.135111" elapsed="3.482117"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:26:23.617667" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:26:21.617345" elapsed="2.000527"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="BackOfficeApp">
<kw name="Home Page" owner="BackOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:23.619053" level="INFO">Opening url 'https://automationplayground.com/back-office/'</msg>
<arg>${BACK_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:23.618863" elapsed="3.209526"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:23.618568" elapsed="3.210009"/>
</kw>
<kw name="Verify Page" owner="BackOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${BACK_OFFICE_HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:26:26.829080" elapsed="0.310162"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:26.828784" elapsed="0.310641"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:23.618104" elapsed="3.521408"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:26:29.139956" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:26:27.139644" elapsed="2.000516"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:26:29.140888" elapsed="0.353164"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:29.140470" elapsed="0.353725"/>
</kw>
<doc>Home Page</doc>
<tag>Home</tag>
<status status="PASS" start="2025-11-20T15:26:17.232210" elapsed="12.262062"/>
</test>
<doc>Test End to End Suite</doc>
<status status="PASS" start="2025-11-20T15:26:17.185462" elapsed="12.350841"/>
</suite>
<status status="PASS" start="2025-11-20T15:26:17.141316" elapsed="12.437156"/>
</suite>
<suite id="s1-s1-s3" name="FrontOffice" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/FrontOffice">
<suite id="s1-s1-s3-s1" name="Front Office" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/FrontOffice/Front_Office.robot">
<test id="s1-s1-s3-s1-t1" name="Should be able to access Home page" line="12">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:29.755026" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<arg>options=${CHROME OPTIONS}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:29.754811" elapsed="0.564275"/>
</kw>
<kw name="Set Selenium Speed" owner="SeleniumLibrary">
<arg>0.3s</arg>
<doc>Sets the delay that is waited after each Selenium command.</doc>
<status status="PASS" start="2025-11-20T15:26:30.319284" elapsed="0.000223"/>
</kw>
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>7s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:26:30.319612" elapsed="0.301122"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:29.754455" elapsed="0.866442"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:30.621706" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:30.621555" elapsed="4.532740"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:30.621348" elapsed="4.533130"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:26:35.154971" elapsed="0.309673"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:35.154679" elapsed="0.310159"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:30.621068" elapsed="4.843856"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:26:37.465442" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:26:35.465054" elapsed="2.000591"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:26:37.466225" elapsed="0.353553"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:37.465950" elapsed="0.353970"/>
</kw>
<doc>Home Page</doc>
<tag>Home</tag>
<status status="PASS" start="2025-11-20T15:26:29.711176" elapsed="8.108819"/>
</test>
<test id="s1-s1-s3-s1-t2" name="Should be able to access About page" line="18">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:37.906084" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<arg>options=${CHROME OPTIONS}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:37.905725" elapsed="0.548023"/>
</kw>
<kw name="Set Selenium Speed" owner="SeleniumLibrary">
<arg>0.3s</arg>
<doc>Sets the delay that is waited after each Selenium command.</doc>
<status status="PASS" start="2025-11-20T15:26:38.453947" elapsed="0.000226"/>
</kw>
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>7s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:26:38.454279" elapsed="0.301158"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:37.905439" elapsed="0.850182"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:38.756471" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:38.756314" elapsed="3.856956"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:38.756114" elapsed="3.857343"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:26:42.613951" elapsed="0.309015"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:42.613648" elapsed="0.309468"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:38.755821" elapsed="4.167380"/>
</kw>
<kw name="GO to &quot;About&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;About&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:42.924106" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[4]/a'.</msg>
<arg>${TOP_NAV_ABOUT_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:26:42.923843" elapsed="0.641349"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:26:45.565704" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:26:43.565407" elapsed="2.000498"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:42.923629" elapsed="2.642421"/>
</kw>
<kw name="Verify Page" owner="About">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${ABOUT_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:26:45.566486" elapsed="0.308086"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:45.566221" elapsed="0.308544"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:42.923347" elapsed="2.951494"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:26:47.875271" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:26:45.874973" elapsed="2.000507"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:26:47.876061" elapsed="0.353719"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:47.875791" elapsed="0.354144"/>
</kw>
<doc>About Page</doc>
<tag>About</tag>
<status status="PASS" start="2025-11-20T15:26:37.863337" elapsed="10.366670"/>
</test>
<test id="s1-s1-s3-s1-t3" name="Should be able to access Contact page" line="25">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:48.315000" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<arg>options=${CHROME OPTIONS}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:48.314789" elapsed="0.550128"/>
</kw>
<kw name="Set Selenium Speed" owner="SeleniumLibrary">
<arg>0.3s</arg>
<doc>Sets the delay that is waited after each Selenium command.</doc>
<status status="PASS" start="2025-11-20T15:26:48.865159" elapsed="0.000259"/>
</kw>
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>7s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:26:48.865526" elapsed="0.301203"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:48.314488" elapsed="0.852396"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:49.167700" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:49.167560" elapsed="3.366097"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:49.167371" elapsed="3.366459"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:26:52.534276" elapsed="0.308421"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:52.534008" elapsed="0.308875"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:49.167090" elapsed="3.675881"/>
</kw>
<kw name="GO to &quot;Contact&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Contact&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:52.843816" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[6]/a'.</msg>
<arg>${TOP_NAV_CONTACT_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:26:52.843621" elapsed="0.641180"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:26:55.485415" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:26:53.485035" elapsed="2.000621"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:52.843418" elapsed="2.642396"/>
</kw>
<kw name="Verify Page" owner="Contact">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${CONTACT_US}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:26:55.486246" elapsed="0.308831"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:55.485986" elapsed="0.309281"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:52.843129" elapsed="2.952213"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:26:57.795782" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:26:55.795471" elapsed="2.000472"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:26:57.796427" elapsed="0.353234"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:57.796188" elapsed="0.353634"/>
</kw>
<doc>Contact Page</doc>
<tag>Contact</tag>
<status status="PASS" start="2025-11-20T15:26:48.272513" elapsed="9.877382"/>
</test>
<test id="s1-s1-s3-s1-t4" name="Should be able to access Portofolio page" line="32">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:58.233879" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<arg>options=${CHROME OPTIONS}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:58.233652" elapsed="0.552001"/>
</kw>
<kw name="Set Selenium Speed" owner="SeleniumLibrary">
<arg>0.3s</arg>
<doc>Sets the delay that is waited after each Selenium command.</doc>
<status status="PASS" start="2025-11-20T15:26:58.785879" elapsed="0.000248"/>
</kw>
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>7s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:26:58.786256" elapsed="0.301053"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:58.233377" elapsed="0.854084"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:26:59.088222" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:26:59.088087" elapsed="19.917186"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:59.087893" elapsed="19.917544"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:27:19.005892" elapsed="0.308714"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:19.005612" elapsed="0.309154"/>
</kw>
<status status="PASS" start="2025-11-20T15:26:59.087621" elapsed="20.227229"/>
</kw>
<kw name="GO to &quot;Portofolio&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Portofolio&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T15:27:19.315639" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[3]/a'.</msg>
<arg>${TOP_NAV_PORTOFOLIO_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:27:19.315454" elapsed="0.639529"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:27:21.955547" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:27:19.955222" elapsed="2.000505"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:19.315259" elapsed="2.640642"/>
</kw>
<kw name="Verify Page" owner="Portofolio">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${PORTOFOLIO}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:27:21.956349" elapsed="0.308304"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:21.956078" elapsed="0.308781"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:19.314994" elapsed="2.949947"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:27:24.265581" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:27:22.265121" elapsed="2.000652"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:27:24.266287" elapsed="0.353634"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:24.266037" elapsed="0.354025"/>
</kw>
<doc>Portofolio Page</doc>
<tag>Portofolio</tag>
<status status="PASS" start="2025-11-20T15:26:58.191238" elapsed="26.428898"/>
</test>
<test id="s1-s1-s3-s1-t5" name="Should be able to access Services page" line="39">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:27:24.705296" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<arg>options=${CHROME OPTIONS}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:27:24.704888" elapsed="0.563657"/>
</kw>
<kw name="Set Selenium Speed" owner="SeleniumLibrary">
<arg>0.3s</arg>
<doc>Sets the delay that is waited after each Selenium command.</doc>
<status status="PASS" start="2025-11-20T15:27:25.268787" elapsed="0.000272"/>
</kw>
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>7s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:27:25.269192" elapsed="0.300940"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:24.704547" elapsed="0.865770"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:27:25.571254" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:27:25.571109" elapsed="2.756146"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:25.570901" elapsed="2.756520"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:27:28.327878" elapsed="0.309712"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:28.327599" elapsed="0.310166"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:25.570557" elapsed="3.067299"/>
</kw>
<kw name="GO to &quot;Services&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Services&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T15:27:28.638653" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[2]/a'.</msg>
<arg>${TOP_NAV_SERVICES_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:27:28.638475" elapsed="0.642313"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:27:31.281367" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:27:29.281019" elapsed="2.000508"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:28.638277" elapsed="2.643381"/>
</kw>
<kw name="Verify Page" owner="Services">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${SERVICES}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:27:31.282133" elapsed="0.308467"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:31.281843" elapsed="0.308965"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:28.638003" elapsed="2.952880"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:27:33.591374" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:27:31.591018" elapsed="2.000559"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:27:33.592161" elapsed="0.353471"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:33.591884" elapsed="0.353899"/>
</kw>
<doc>Services Page</doc>
<tag>Services</tag>
<status status="PASS" start="2025-11-20T15:27:24.662525" elapsed="9.283335"/>
</test>
<test id="s1-s1-s3-s1-t6" name="Should be able to access Team page" line="46">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:27:34.029708" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<arg>options=${CHROME OPTIONS}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:27:34.029487" elapsed="0.552936"/>
</kw>
<kw name="Set Selenium Speed" owner="SeleniumLibrary">
<arg>0.3s</arg>
<doc>Sets the delay that is waited after each Selenium command.</doc>
<status status="PASS" start="2025-11-20T15:27:34.582625" elapsed="0.000233"/>
</kw>
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>7s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:27:34.582973" elapsed="0.301000"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:34.029218" elapsed="0.854937"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:27:34.885016" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:27:34.884869" elapsed="4.737688"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:34.884647" elapsed="4.738127"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:27:39.623328" elapsed="0.309279"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:39.622993" elapsed="0.309776"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:34.884338" elapsed="5.048515"/>
</kw>
<kw name="GO to &quot;Team&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Team&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T15:27:39.933631" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[5]/a'.</msg>
<arg>${TOP_NAV_TEAM_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:27:39.933455" elapsed="0.645543"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:27:42.579682" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:27:40.579209" elapsed="2.000684"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:39.933258" elapsed="2.646780"/>
</kw>
<kw name="Verify Page" owner="Team">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${AMAZING_TEAM}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:27:42.580484" elapsed="0.308796"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:42.580207" elapsed="0.309255"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:39.932994" elapsed="2.956543"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:27:44.889987" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:27:42.889683" elapsed="2.000511"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:27:44.891041" elapsed="0.353309"/>
</kw>
<status status="PASS" start="2025-11-20T15:27:44.890485" elapsed="0.354021"/>
</kw>
<doc>Team Page</doc>
<tag>Team</tag>
<status status="PASS" start="2025-11-20T15:27:33.987440" elapsed="11.257143"/>
</test>
<doc>Test the Studio Web Page</doc>
<status status="PASS" start="2025-11-20T15:26:29.663324" elapsed="75.623021"/>
</suite>
<status status="PASS" start="2025-11-20T15:26:29.620322" elapsed="75.708108"/>
</suite>
<status status="PASS" start="2025-11-20T15:26:12.394262" elapsed="92.976183"/>
</suite>
<status status="PASS" start="2025-11-20T15:26:12.289038" elapsed="93.123420"/>
</suite>
<statistics>
<total>
<stat pass="8" fail="0" skip="0">All Tests</stat>
</total>
<tag>
<stat pass="1" fail="0" skip="0">About</stat>
<stat pass="1" fail="0" skip="0">Contact</stat>
<stat pass="3" fail="0" skip="0">Home</stat>
<stat pass="1" fail="0" skip="0">Portofolio</stat>
<stat pass="1" fail="0" skip="0">Services</stat>
<stat pass="1" fail="0" skip="0">Team</stat>
</tag>
<suite>
<stat name="End-To-End" id="s1" pass="8" fail="0" skip="0">End-To-End</stat>
<stat name="Tests" id="s1-s1" pass="8" fail="0" skip="0">End-To-End.Tests</stat>
<stat name="BackOffice" id="s1-s1-s1" pass="1" fail="0" skip="0">End-To-End.Tests.BackOffice</stat>
<stat name="Back Office" id="s1-s1-s1-s1" pass="1" fail="0" skip="0">End-To-End.Tests.BackOffice.Back Office</stat>
<stat name="EndToEnd" id="s1-s1-s2" pass="1" fail="0" skip="0">End-To-End.Tests.EndToEnd</stat>
<stat name="End to End" id="s1-s1-s2-s1" pass="1" fail="0" skip="0">End-To-End.Tests.EndToEnd.End to End</stat>
<stat name="FrontOffice" id="s1-s1-s3" pass="6" fail="0" skip="0">End-To-End.Tests.FrontOffice</stat>
<stat name="Front Office" id="s1-s1-s3-s1" pass="6" fail="0" skip="0">End-To-End.Tests.FrontOffice.Front Office</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
